# m3e/ripple

Ripple is connects user input to screen reactions using ripples.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Centered

</>

Centered is whether the ripple always originates from the center of the element’s bounds, rather than originating from the location of the click event.

    pub type Centered {
      IsCentered
      IsNotCentered
    }

### Constructors

-     IsCentered

-     IsNotCentered

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        centered: Centered,
        disabled: Disabled,
        for: option.Option(String),
        radius: option.Option(Float),
        unbounded: Unbounded,
      )
    }

### Constructors

-     Config(
        centered: Centered,
        disabled: Disabled,
        for: option.Option(String),
        radius: option.Option(Float),
        unbounded: Unbounded,
      )

## Disabled

</>

Disabled is whether click events will not trigger the ripple. Ripples can be still controlled manually by using the `show` and ‘hide’ methods.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## Ripple

opaque </>

Ripple is a View Model for this component

## Fields:

- centered: Whether the ripple always originates from the center of the element’s bounds, rather than originating from the location of the click event.
- disabled: Whether click events will not trigger the ripple. Ripples can be still controlled manually by using the `show` and ‘hide’ methods.
- for: The identifier of the interactive control to which this element is attached.
- radius: The radius, in pixels, of the ripple.
- unbounded: Whether the ripple is visible outside the element’s bounds.

    pub opaque type Ripple

## Unbounded

</>

Unbounded is whether the ripple is visible outside the element’s bounds.

    pub type Unbounded {
      IsUnbounded
      IsNotUnbounded
    }

### Constructors

-     IsUnbounded

-     IsNotUnbounded

# Values

## centered

</>

    pub fn centered(record: Ripple, centered: Centered) -> Ripple

centered sets the value of centered for this Ripple.

## default_centered

</>

    pub const default_centered: Centered

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_for

</>

    pub const default_for: option.Option(String)

## default_radius

</>

    pub const default_radius: option.Option(Float)

## default_unbounded

</>

    pub const default_unbounded: Unbounded

## disabled

</>

    pub fn disabled(record: Ripple, disabled: Disabled) -> Ripple

disabled sets the value of disabled for this Ripple.

## for

</>

    pub fn for(record: Ripple, for: option.Option(String)) -> Ripple

for sets the value of for for this Ripple.

## from_config

</>

    pub fn from_config(config: Config) -> Ripple

from_config creates a new Ripple from the given configuration.

## new

</>

    pub fn new() -> Ripple

new creates a new Ripple with the default configuration.

## radius

</>

    pub fn radius(
      record: Ripple,
      radius: option.Option(Float),
    ) -> Ripple

radius sets the value of radius for this Ripple.

## render

</>

    pub fn render(
      model: Ripple,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Ripple

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a Ripple Config

## unbounded

</>

    pub fn unbounded(record: Ripple, unbounded: Unbounded) -> Ripple

unbounded sets the value of unbounded for this Ripple.

✨